Skip to main content
GET
/
notes
/
templates
/
{template_id}
/
prefill
/
{patient_id}
Get Prefilled Answers
curl --request GET \
  --url https://api.decodahealth.com/notes/templates/{template_id}/prefill/{patient_id} \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/notes/templates/{template_id}/prefill/{patient_id}"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/notes/templates/{template_id}/prefill/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "templateId": "<string>",
  "patientId": "<string>",
  "prefilledAnswers": [
    {
      "questionId": "<string>",
      "data": {},
      "source": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

template_id
string
required
patient_id
string
required

Response

Successful Response

Response containing pre-filled answers for template questions.

templateId
string
required
patientId
string
required
prefilledAnswers
PrefilledAnswer · object[]
required